/* =========================
   TABLET (≤ 1024px)
========================= */
@media (max-width: 1024px) {
    .container {
        width: 92%;
    }

    .hero h1 {
        font-size: 40px;
    }

    .about-wrapper {
        gap: 50px;
    }

    .grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .flex {
        flex-direction: column;
        text-align: center;
    }
}

/* =========================
   MOBILE (≤ 768px)
========================= */
@media (max-width: 768px) {
    /* NAVBAR */
    .menu {
        position: fixed;
        top: 0;
        right: -100%;
        width: 70%;
        height: 100vh;

        background: rgba(30, 30, 30, 0.98);
        backdrop-filter: blur(10px);

        flex-direction: column;
        padding: 100px 30px;
        transition: 0.4s;
    }
    .logo {
        height: 45px;
    }

    .menu.active {
        right: 0;
    }

    .menu a {
        margin: 15px 0;
        font-size: 18px;
    }
    .hamburger {
        display: flex;
    }

    /* HERO */
    .hero {
        height: 85vh;
    }

    .hero h1 {
        font-size: 30px;
    }

    .hero p {
        font-size: 16px;
    }

    /* ABOUT */
    .about-wrapper {
        flex-direction: column;
        text-align: center;
        gap: 40px;
    }

    .about-text h2 {
        font-size: 28px;
    }

    .about-text .lead {
        font-size: 17px;
    }

    /* GRID */
    .grid {
        grid-template-columns: 1fr;
    }

    /* IMAGE */
    .flex img {
        width: 100%;
        max-width: 300px;
    }
}

/* =========================
   SMALL MOBILE (≤ 480px)
========================= */
@media (max-width: 480px) {
    .hero h1 {
        font-size: 24px;
    }

    .hero p {
        font-size: 14px;
    }

    .btn {
        padding: 10px 18px;
        font-size: 14px;
    }

    .about-text p {
        font-size: 14px;
    }

    .whatsapp {
        width: 50px;
        height: 50px;
        font-size: 20px;
    }
    .news-grid {
        grid-template-columns: 1fr;
    }

    .news-main img {
        height: 200px;
    }
}
